PGAGetRank(4)

NAME
PGAGetRank - Returns the rank of the processor in communicator comm. If comm is NULL or a sequential version of PGAPack is used, PGAGetRank() returns 0.

INPUT PARAMETERS
ctx - context variable structure pointer
comm
    - an MPI communicator

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetRank(ctx, comm)
PGAContext *ctx
MPI_Comm comm

LOCATION
parallel.c

EXAMPLE
Example:
PGAContext  *ctx;
int          rank;
:
rank = PGAGetRank(ctx, MPI_COMM_WORLD);
if (rank == 0) {
LetTheMasterDoSomething();
}